package cn.axzo.workflow.core.engine.event;

import org.flowable.common.engine.api.delegate.event.FlowableEvent;

import java.util.Map;

/**
 * 业务节点回调事件
 *
 * @author wangli
 * @since 2024-08-20 17:24
 */
public interface BizCallbackEvent extends FlowableEvent {
    String getActivityId();

    String getActivityName();

    String getProcessInstanceId();

    String getProcessDefinitionId();

    String getBusinessKey();

    String getExecutionId();

    Map<String, Object> getVariables();
}
